=== debian/changelog ===
gittuf (0.9.0-5) unstable; urgency=medium

  * Set TMPDIR for Go testing.TempDir, fixing FTBFS repro build.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 13 Apr 2025 15:23:16 +0200

gittuf (0.9.0-4) unstable; urgency=medium

  * gittuf: Use wildcard lintian field-too-long override.
  * Use GOTMPDIR to avoid assuming /tmp, fixing debci/autopkgtest.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:31:26 +0200

gittuf (0.9.0-3) unstable; urgency=medium

  * gittuf: Add Static-Built-Using, suggested by lintian.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 19:45:27 +0200

gittuf (0.9.0-2) unstable; urgency=medium

  * B-D on sigstore-go>=0.7.0.  Fix *-dev Depends.
  * Revert "Refresh d/patches/."
  * Reapply essential part of last broken commit.
  * Add upstream patches to fix FTBFS.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 26 Mar 2025 08:48:09 +0100

gittuf (0.9.0-1) unstable; urgency=medium

  * Make B-D openssh-client unconditional for debci.
  * New upstream version 0.9.0
  * Refresh d/patches/.
  * Add new B-D's.
  * Standards-Version: 4.7.2.
  * Fix gittuf lintian overrides.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Mar 2025 15:26:27 +0100

gittuf (0.8.0-3) unstable; urgency=medium

  * Make B-D openssh-client unconditional for debci.
  * Standards-Version: 4.7.1.
  * Add gittuf.manpages.
  * Add manpage for git-remote-gittuf.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Feb 2025 09:11:36 +0100

gittuf (0.8.0-2) unstable; urgency=medium

  * salsa-ci.yml: Drop some local apt repos.
  * Drop unnecessary B-D version requirements.
  * Add documentation including manpages.
  * Add lintian overrides for field-too-long.
  * Bump d/* copyright years.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Jan 2025 01:28:05 +0100

gittuf (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1089833)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Dec 2024 13:02:39 +0100
