## gittuf 0.12.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 test :
-	go test -timeout 20m -v ./...
+	go test -race -timeout 20m -v ./...
 
 fmt :
 	go fmt ./...
