=== debian/changelog ===
gittuf (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Drop unused lintian override.
  * Refresh patches.
  * Refresh B-D's.
  * Don't install /usr/bin/sandbox.
  * Avoid hard-coded paths in manpages.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 10:22:20 +0200
