=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -14,7 +13,6 @@
  golang-github-charmbracelet-bubbletea-dev,
  golang-github-charmbracelet-lipgloss-dev,
  golang-github-danwakefield-fnmatch-dev,
- golang-github-github-smimesign-dev,
  golang-github-go-git-go-git-dev,
  golang-github-google-go-github-dev,
  golang-github-hiddeco-sshsig-dev,
@@ -29,6 +27,7 @@
  golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-spf13-cobra-dev,
  golang-github-stretchr-testify-dev,
+ golang-github-yuin-gopher-lua-dev,
  golang-golang-x-crypto-dev,
  golang-google-protobuf-dev,
  help2man <!nodoc>,
@@ -82,7 +81,6 @@
  golang-github-charmbracelet-bubbletea-dev,
  golang-github-charmbracelet-lipgloss-dev,
  golang-github-danwakefield-fnmatch-dev,
- golang-github-github-smimesign-dev,
  golang-github-go-git-go-git-dev,
  golang-github-google-go-github-dev,
  golang-github-hiddeco-sshsig-dev,
@@ -97,6 +95,7 @@
  golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-spf13-cobra-dev,
  golang-github-stretchr-testify-dev,
+ golang-github-yuin-gopher-lua-dev,
  golang-golang-x-crypto-dev,
  golang-google-protobuf-dev,
  ${misc:Depends},
