=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
-export DH_GOLANG_EXCLUDES := docs/cli
+export DH_GOLANG_EXCLUDES := docs/cli docs/sandbox
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
@@ -25,14 +25,16 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 execute_before_dh_installman-arch:
 	mkdir -pv $(M)
+	env PATH=$(PATH):$(B) \
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info \
 		--name="security layer for git(1) repositories" \
 		--output $(M)/gittuf.1 \
-		$(B)/gittuf
+		gittuf
+	env PATH=$(PATH):$(B) \
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info --no-discard-stderr \
 		--name="gittuf remote plugin for git" \
 		--output $(M)/git-remote-gittuf.1 \
-		$(B)/git-remote-gittuf
+		git-remote-gittuf
 endif
